=== modified file 'NEWS'
--- NEWS	2009-04-17 07:38:44 +0000
+++ NEWS	2009-04-20 08:37:32 +0000
@@ -76,16 +76,40 @@
   via ~/.bazaar/authentication.conf fails. (Jelmer Vernooij, 
   Vincent Ladeuil, #321918)
 
-bzr 1.14rc1
+bzr 1.14rc2
 ###########
 :Codename: brisbane-core
 :1.14rc1: 2009-04-06
+:1.14rc2: 2009-04-19
 
 New formats 1.14 and 1.14-rich-root supporting End-Of-Line (EOL) conversions,
 keyword templating (via the bzr-keywords plugin) and generic content filtering.
 End-of-line conversion is now supported for formats supporting content
 filtering.
 
+Changes from RC1 to RC2
+***********************
+
+* Fix for bug 358037 Revision not in
+  bzrlib.groupcompress.GroupCompressVersionedFiles (Brian de Alwis, 
+  John A Meinel)
+
+* Fix for bug 354036 ErrorFromSmartServer - AbsentContentFactory object has no
+  attribute 'get_bytes_as' exception while pulling from Launchpad 
+  (Jean-Francois Roy, Andrew Bennetts, Robert Collins)
+
+* Fix for bug 355280 eol content filters are never loaded and thus never
+  applied (Brian de Alwis, Ian Clatworthy)
+ 
+* bzr.dev -r4280  Change _fetch_uses_deltas = False for CHK repos until we can
+  write a better fix. (John Arbash Meinel, Robert Collins)
+
+* Fix for bug 361574 uncommit recommends undefined --levels and -n options
+  (Marius Kruger, Ian Clatworthy)
+
+* bzr.dev r4289 as cherrypicked at lp:~spiv/bzr/stacking-cherrypick-1.14 
+  (Andrew Bennetts, Robert Collins)
+
 Compatibility Breaks
 ********************
 
@@ -222,6 +246,17 @@
 Bug Fixes
 *********
 
+* Pushing a new stacked branch will also push the parent inventories for
+  revisions at the stacking boundary.  This makes sure that the stacked
+  branch has enough data to calculate inventory deltas for all of its
+  revisions (without requiring the fallback branch).  This avoids
+  "'AbsentContentFactory' object has no attribute 'get_bytes_as'" errors
+  when fetching the stacked branch from a 1.13 (or later) smart server.
+  This partially fixes #354036.  (Andrew Bennetts, Robert Collins)
+
+* End-Of-Line content filters are now loaded correctly.
+  (Ian Clatworthy, Brian de Alwis, #355280)
+
 * Authentication plugins now receive all the parameters from the request
   itself (aka host, port, realm, path, etc). Previously, only the 
   authentication section name, username and encoded password were 

=== modified file 'bzrlib/groupcompress.py'
--- bzrlib/groupcompress.py	2009-04-09 20:23:07 +0000
+++ bzrlib/groupcompress.py	2009-04-20 08:37:32 +0000
@@ -743,6 +743,7 @@
         # Before insertion
         start = self.endpoint
         chunk_start = len(self.chunks)
+        self._last = (chunk_start, self.endpoint)
         self._delta_index.extend_lines(out_lines, index_lines)
         self.endpoint = self._delta_index.endpoint
         self.input_bytes += input_len

=== modified file 'bzrlib/tests/test_groupcompress.py'
--- bzrlib/tests/test_groupcompress.py	2009-04-09 20:23:07 +0000
+++ bzrlib/tests/test_groupcompress.py	2009-04-20 08:37:32 +0000
@@ -119,6 +119,16 @@
                           'different\n', sha1_2),
                          compressor.extract(('newlabel',)))
 
+    def test_pop_last(self):
+        compressor = self.compressor()
+        _, _, _, _ = compressor.compress(('key1',),
+            'some text\nfor the first entry\n', None)
+        expected_lines = list(compressor.chunks)
+        _, _, _, _ = compressor.compress(('key2',),
+            'some text\nfor the second entry\n', None)
+        compressor.pop_last()
+        self.assertEqual(expected_lines, compressor.chunks)
+
 
 class TestPyrexGroupCompressor(TestGroupCompressor):
 

